Appearance
pinned-links
3 endpoints.
GET /api/v1/pinned-links
List Pinned Links
200 — Successful Response
json
{
"properties": {
"links": {
"items": {
"properties": {
"id": {
"type": "string",
"title": "Id"
},
"label": {
"type": "string",
"title": "Label"
},
"url": {
"type": "string",
"title": "Url"
},
"icon": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Icon"
},
"source": {
"type": "string",
"title": "Source"
},
"fixed": {
"type": "boolean",
"title": "Fixed",
"default": false
},
"app_slug": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "App Slug"
},
"min_role": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Min Role"
},
"superuser_only": {
"type": "boolean",
"title": "Superuser Only",
"default": false
}
},
"type": "object",
"required": [
"id",
"label",
"url",
"source"
],
"title": "PinnedLinkOut"
},
"type": "array",
"title": "Links"
}
},
"type": "object",
"required": [
"links"
],
"title": "PinnedLinksOut"
}POST /api/v1/pinned-links
Add Pinned Link
Request body
json
{
"properties": {
"label": {
"type": "string",
"maxLength": 255,
"minLength": 1,
"title": "Label"
},
"url": {
"type": "string",
"maxLength": 2048,
"minLength": 1,
"title": "Url"
},
"icon": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Icon"
},
"source": {
"type": "string",
"title": "Source",
"default": "manual"
},
"fixed": {
"type": "boolean",
"title": "Fixed",
"default": false
},
"app_slug": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "App Slug"
},
"min_role": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Min Role"
},
"superuser_only": {
"type": "boolean",
"title": "Superuser Only",
"default": false
}
},
"type": "object",
"required": [
"label",
"url"
],
"title": "PinnedLinkIn"
}200 — Successful Response
json
{
"properties": {
"links": {
"items": {
"properties": {
"id": {
"type": "string",
"title": "Id"
},
"label": {
"type": "string",
"title": "Label"
},
"url": {
"type": "string",
"title": "Url"
},
"icon": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Icon"
},
"source": {
"type": "string",
"title": "Source"
},
"fixed": {
"type": "boolean",
"title": "Fixed",
"default": false
},
"app_slug": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "App Slug"
},
"min_role": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Min Role"
},
"superuser_only": {
"type": "boolean",
"title": "Superuser Only",
"default": false
}
},
"type": "object",
"required": [
"id",
"label",
"url",
"source"
],
"title": "PinnedLinkOut"
},
"type": "array",
"title": "Links"
}
},
"type": "object",
"required": [
"links"
],
"title": "PinnedLinksOut"
}422 — Validation Error
json
{
"properties": {
"detail": {
"items": {
"properties": {
"loc": {
"items": {
"anyOf": [
{
"type": "string"
},
{
"type": "integer"
}
]
},
"type": "array",
"title": "Location"
},
"msg": {
"type": "string",
"title": "Message"
},
"type": {
"type": "string",
"title": "Error Type"
}
},
"type": "object",
"required": [
"loc",
"msg",
"type"
],
"title": "ValidationError"
},
"type": "array",
"title": "Detail"
}
},
"type": "object",
"title": "HTTPValidationError"
}DELETE /api/v1/pinned-links/{link_id}
Delete Pinned Link
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
link_id | path | yes | string |
200 — Successful Response
json
{
"properties": {
"links": {
"items": {
"properties": {
"id": {
"type": "string",
"title": "Id"
},
"label": {
"type": "string",
"title": "Label"
},
"url": {
"type": "string",
"title": "Url"
},
"icon": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Icon"
},
"source": {
"type": "string",
"title": "Source"
},
"fixed": {
"type": "boolean",
"title": "Fixed",
"default": false
},
"app_slug": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "App Slug"
},
"min_role": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Min Role"
},
"superuser_only": {
"type": "boolean",
"title": "Superuser Only",
"default": false
}
},
"type": "object",
"required": [
"id",
"label",
"url",
"source"
],
"title": "PinnedLinkOut"
},
"type": "array",
"title": "Links"
}
},
"type": "object",
"required": [
"links"
],
"title": "PinnedLinksOut"
}422 — Validation Error
json
{
"properties": {
"detail": {
"items": {
"properties": {
"loc": {
"items": {
"anyOf": [
{
"type": "string"
},
{
"type": "integer"
}
]
},
"type": "array",
"title": "Location"
},
"msg": {
"type": "string",
"title": "Message"
},
"type": {
"type": "string",
"title": "Error Type"
}
},
"type": "object",
"required": [
"loc",
"msg",
"type"
],
"title": "ValidationError"
},
"type": "array",
"title": "Detail"
}
},
"type": "object",
"title": "HTTPValidationError"
}